सामग्री पर जाएँ

gpt-image-1 · Edit Image

इंटीग्रेट करें

मॉडल id gpt-image-1/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.27 270 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

प्रॉम्प्ट के साथ संदर्भ इमेज संपादित या संयोजित करता है, जिसमें इनपुट निष्ठा सेटिंग और पारदर्शी बैकग्राउंड विकल्प है

OpenAI · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज बनाने के लिए उपयोग किया गया प्रॉम्प्ट।

•आवश्यक image_urls
फ़ाइल ड्रॉप करें, या

निर्माण के लिए संदर्भ इमेज की ओर संकेत करने वाले URL।

image_size डिफ़ॉल्ट auto

परिणामी इमेज का आस्पेक्ट रेशियो।

quality डिफ़ॉल्ट auto

परिणामी इमेज की गुणवत्ता।

input_fidelity डिफ़ॉल्ट high

परिणामी इमेज इनपुट का कितनी हद तक अनुसरण करती है।

num_images डिफ़ॉल्ट 1

बनाई जाने वाली इमेज की संख्या।

उन्नत background · output_format · enable_safety_checker
background डिफ़ॉल्ट auto

परिणामी इमेज की पृष्ठभूमि।

output_format डिफ़ॉल्ट png

आउटपुट इमेज का फ़ाइल फ़ॉर्मैट।

POST /run/gpt-image-1/edit-image?wait=20 कोटेशन → $0.27
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

gpt-image-1 · Edit Image के बारे में

`image_urls` में एक या अधिक रेफ़रेंस इमेज और प्रॉम्प्ट से नई इमेज बनाता है। इनपुट को कितनी बारीकी से बनाए रखना है, इसे नियंत्रित करने के लिए `input_fidelity` low या high हो सकता है (डिफ़ॉल्ट रूप से high)। आकार auto, 1024x1024, 1536x1024 या 1024x1536 हैं, बैकग्राउंड auto, transparent या opaque हो सकता है, अधिकतम 4 इमेज और png, jpeg या webp आउटपुट समर्थित हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≥ 2 अक्षर
इमेज बनाने के लिए उपयोग किया गया प्रॉम्प्ट।
image_urlsआवश्यक images
प्रकारurl[] · image
निर्माण के लिए संदर्भ इमेज की ओर संकेत करने वाले URL।
image_sizeवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto1024x10241536x10241024x1536
परिणामी इमेज का आस्पेक्ट रेशियो।
backgroundवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
autotransparentopaque
परिणामी इमेज की पृष्ठभूमि।
qualityवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
autolowmediumhigh
परिणामी इमेज की गुणवत्ता।
input_fidelityवैकल्पिक
प्रकारenum
डिफ़ॉल्टhigh
lowhigh
परिणामी इमेज इनपुट का कितनी हद तक अनुसरण करती है।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
बनाई जाने वाली इमेज की संख्या।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
आउटपुट इमेज का फ़ाइल फ़ॉर्मैट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gpt-image-1/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 270,
    "usd": "0.27",
    "charged": 270,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}मॉडल द्वारा बनाई गई इमेज।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/gpt-image-1/edit-image.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt